Bug 144798 - FILEOPEN DOCX Z-order of shape and chart incorrectly imported
Summary: FILEOPEN DOCX Z-order of shape and chart incorrectly imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2021-09-29 12:03 UTC by NISZ LibreOffice Team
Modified: 2021-10-21 08:28 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (32.50 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-09-29 12:03 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (109.87 KB, image/png)
2021-09-29 12:03 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-09-29 12:03:03 UTC
Created attachment 175359 [details]
Example file from Word

Attached document contains a chart and a textbox.
In Word the textbox is in front of the chart, but in Writer it is behind.

Steps to reproduce:
    1. Open attached document.

Actual results:
The textbox appears behind the chart.

Expected results:
The textbox should be in front of the chart, like in Word.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b60b6bfaafa1315e07108dba50f016975b619c59
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Also in 6.0, 5.3.
Not yet in 5.2, although changing the charts Z-order had no effect on the shape.
Comment 1 NISZ LibreOffice Team 2021-09-29 12:03:27 UTC
Created attachment 175360 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Telesto 2021-09-29 17:12:37 UTC
Repro
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b60b6bfaafa1315e07108dba50f016975b619c59
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (nl_NL); UI: en-US
Calc: CL
Comment 3 raal 2021-10-10 18:49:38 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna ; Could you possibly take a look at this one?
Thanks
 f94765e14b7e6ac81d69c3d7df7f989f11578df1 is the first bad commit
commit f94765e14b7e6ac81d69c3d7df7f989f11578df1
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Nov 15 11:18:37 2016 +0100

    source sha:10efab2b9a3cf7fc49655c90ba29db4512680c38

https://git.libreoffice.org/core/+/10efab2b9a3cf7fc49655c90ba29db4512680c38
  tdf#82824 DOCX import: fix at-char embedded object handling
Comment 4 Commit Notification 2021-10-19 06:18:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63007619da7e6c4a6d0c466a8fe54324252be14b

tdf#144798 DOCX import: handle ZOrder of chart objects

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-10-19 15:35:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/482adfc9dd5c08dae2a51d93ee579efa7df6e862

tdf#144798 DOCX import: handle ZOrder of chart objects

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2021-10-21 08:28:34 UTC
Verified in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ea65215855462e5e48f7a3a78724c38b5fc0e4d1
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!